#include "common.h"

/*
 * ===================================
 * Create a timer object
 * ===================================
 */
PB_Timer * PB_CreateTimer( integer TimerID )
{
	PB_Timer *Timer;
  
	if ( Timer = PB_Timer_GetOrAllocateID( TimerID ) ) {
		Timer->handle			= (integer)Timer;
		Timer->status			= PB_TIMERSTATUS_NONE;
		Timer->resolution		= PB_TIME_NONE;
		Timer->timeInterval		= 0;
		Timer->timeOut			= 0;
		Timer->intervalTicks	= 0;
	}
  
	return Timer;
}